Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160464 - Update specfile for tetex-3 compliance
Summary: Update specfile for tetex-3 compliance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tetex-font-cm-lgc
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 10:17 UTC by Sarantis Paskalis
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-17 02:33:43 UTC


Attachments (Terms of Use)
patch to fix location of .enc and .map files and use updmap-sys instead of updmap (deleted)
2005-06-15 10:17 UTC, Sarantis Paskalis
no flags Details | Diff

Description Sarantis Paskalis 2005-06-15 10:17:17 UTC
Description of problem:
The specfile of the package needs to be updated to be tetex-3 compliant. 
Specifically:
- updmap-sys must be used instead of updmap
- .map file must be placed in %{texmf}/fonts/map/%{tdsname} instead of
  %{texmf}/dvips/%{tdsname}
- .enc file must be placed in %{texmf}/fonts/map/%{tdsname} instead of
  %{texmf}/dvips/%{tdsname}

With the current specfile, the package %post scriptlet fails, i.e. it prints a
warning message that the map files must be placed in a new location.

Version-Release number of selected component (if applicable):
tetex-font-cm-lgc-0.3.1-2

Patch to correct the specfile attached.
Similar patches are suggested for tetex-font-kerkis in bugs #159279 and #160300.


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
A new version of the font (0.5) is out.  With the attached patch, only the
import of the new sources is needed to rebuild the package.

Comment 1 Sarantis Paskalis 2005-06-15 10:17:17 UTC
Created attachment 115469 [details]
patch to fix location of .enc and .map files and use updmap-sys instead of updmap

Comment 2 Michael Schwendt 2005-06-17 02:33:43 UTC
patch applied in cvs, upgraded to 0.5, and build requested -- for the version
upgrade, I fetched a .zip from ftp.dante.de and converted it into .tar.bz2
according to the spec file comment



Note You need to log in before you can comment on or make changes to this bug.